Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.params
Interface Parameters

All Known Implementing Classes:
  SimpleParameters

    public interface Parameters

Parameters interface for FreePastry Usually acquired by calling environment.getParameters().

Author:
  Jeff Hoye

Method Summary
`void` | `addChangeListener(ParameterChangeListener p)`
`boolean` | `contains(java.lang.String name)` See if the parameters contains the key
`boolean` | `getBoolean(java.lang.String paramName)`
`double` | `getDouble(java.lang.String paramName)`
`float` | `getFloat(java.lang.String paramName)`
`java.net.InetAddress` | `getInetAddress(java.lang.String paramName)` String format is dnsname ex: "computer.school.edu"
`java.net.InetSocketAddress` | `getInetSocketAddress(java.lang.String paramName)` String format is name:port ex: "computer.school.edu:1984"
`java.net.InetSocketAddress[]` | `getInetSocketAddressArray(java.lang.String paramName)` String format is comma seperated.
`int` | `getInt(java.lang.String paramName)`
`long` | `getLong(java.lang.String paramName)`
`java.lang.String` | `getString(java.lang.String paramName)`
`java.lang.String[]` | `getStringArray(java.lang.String paramName)`
`void` | `remove(java.lang.String name)` Remove the key
`void` | `removeChangeListener(ParameterChangeListener p)`
`void` | `setBoolean(java.lang.String paramName, boolean val)`
`void` | `setDouble(java.lang.String paramName, double val)`
`void` | `setFloat(java.lang.String paramName, float val)`
`void` | `setInetAddress(java.lang.String paramName, java.net.InetAddress val)`
`void` | `setInetSocketAddress(java.lang.String paramName, java.net.InetSocketAddress val)`
`void` | `setInetSocketAddressArray(java.lang.String paramName, java.net.InetSocketAddress[] val)`
`void` | `setInt(java.lang.String paramName, int val)`
`void` | `setLong(java.lang.String paramName, long val)`
`void` | `setString(java.lang.String paramName, java.lang.String val)`
`void` | `setStringArray(java.lang.String paramName, java.lang.String[] val)`
`void` | `store()` Persistently stores the parameters.

Method Detail

### remove

    void remove(java.lang.String name)

  Remove the key

  Parameters:
    `name` -

### contains

    boolean contains(java.lang.String name)

  See if the parameters contains the key

  Parameters:
    `name` -
  Returns:

### store

    void store()
               throws java.io.IOException

  Persistently stores the parameters.

  Throws:
    `java.io.IOException`

### getString

    java.lang.String getString(java.lang.String paramName)

### getStringArray

    java.lang.String[] getStringArray(java.lang.String paramName)

### getInt

    int getInt(java.lang.String paramName)

### getDouble

    double getDouble(java.lang.String paramName)

### getFloat

    float getFloat(java.lang.String paramName)

### getLong

    long getLong(java.lang.String paramName)

### getBoolean

    boolean getBoolean(java.lang.String paramName)

### getInetAddress

    java.net.InetAddress getInetAddress(java.lang.String paramName)
                                        throws java.net.UnknownHostException

  String format is dnsname ex: "computer.school.edu"

  Parameters:
    `paramName` -
  Returns:
  Throws:
    `java.net.UnknownHostException`

### getInetSocketAddress

    java.net.InetSocketAddress getInetSocketAddress(java.lang.String paramName)
                                                    throws java.net.UnknownHostException

  String format is name:port ex: "computer.school.edu:1984"

  Parameters:
    `paramName` -
  Returns:
  Throws:
    `java.net.UnknownHostException`

### getInetSocketAddressArray

    java.net.InetSocketAddress[] getInetSocketAddressArray(java.lang.String paramName)
                                                           throws java.net.UnknownHostException

  String format is comma seperated. ex: "computer.school.edu:1984,computer2.school.edu:1984,computer.school.edu:1985"

  Parameters:
    `paramName` -
  Returns:
  Throws:
    `java.net.UnknownHostException`

### setString

    void setString(java.lang.String paramName,
                   java.lang.String val)

### setStringArray

    void setStringArray(java.lang.String paramName,
                        java.lang.String[] val)

### setInt

    void setInt(java.lang.String paramName,
                int val)

### setDouble

    void setDouble(java.lang.String paramName,
                   double val)

### setFloat

    void setFloat(java.lang.String paramName,
                  float val)

### setLong

    void setLong(java.lang.String paramName,
                 long val)

### setBoolean

    void setBoolean(java.lang.String paramName,
                    boolean val)

### setInetAddress

    void setInetAddress(java.lang.String paramName,
                        java.net.InetAddress val)

### setInetSocketAddress

    void setInetSocketAddress(java.lang.String paramName,
                              java.net.InetSocketAddress val)

### setInetSocketAddressArray

    void setInetSocketAddressArray(java.lang.String paramName,
                                   java.net.InetSocketAddress[] val)

### addChangeListener

    void addChangeListener(ParameterChangeListener p)

### removeChangeListener

    void removeChangeListener(ParameterChangeListener p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.